UPGRADING TO JRE 1.8 CAUSES PDM_CONFIGURE TO THROW ERROR

Document ID : KB000095389
Last Modified Date : 10/05/2018
Show Technical Document Details
Issue:
UPGRADING TO JRE 1.8 CAUSES PDM_CONFIGURE TO THROW ERROR in configure log file: D:\CA\Service Desk Manager\bin\config_jni.dll: Can't load IA 32-bit .dll on a AMD 64-bit platform
Environment:
usrd/CMDB 12.9, 14.1 and 17.1 on Windows/Unix/Linux
Cause:
pdm_configure requires 32 bit JVM and the jre 1.8 is a 64 bit one thus cause the error
Resolution:
Follow this steps
1. download and install 32 bit jre
2. Modify NX.env file parameter NX_JRE_INSTALL_DIR to point to the jre 1.8 that just installed in step 1
3. shutdown SDM/CMDB
3. run pdm_configure
4. start SDM/CMDB